### Method

# Goa Object peek_read_later

deprecated: Unknown since: 3.12.0

#### Declaration [src]

    GoaReadLater*
    goa_object_peek_read_later (
      GoaObject* object
    )

#### Description [src]

Like `goa_object_get_read_later()` but doesn’t increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the `GDBusObjectManagerClient` or `GDBusObjectManagerServer` for `object` is running.

Available since: 3.12.0

Deprecated since: Unknown

The D-Bus interface has been deprecated.

This method is not directly available to language bindings.

#### Return value

Type: `GoaReadLater`

A `GoaReadLater` or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object`.

The returned data is owned by the instance.
The return value can be `NULL`.